/*----- PROTECTED REGION ID(TucsenCam::ClassFactory.cpp) ENABLED START -----*/
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible to create
//               all class singletin for a device server. It is called
//               at device server startup
//

#include <tango.h>
#include <TucsenCamClass.h>

/**
 *	Create TucsenCamClass singleton and store it in DServer object.
 */

void Tango::DServer::class_factory()
{

	add_class(TucsenCam_ns::TucsenCamClass::init("TucsenCam"));

}
/*----- PROTECTED REGION END -----*/	//	TucsenCam::ClassFactory.cpp
